Bug 142068 - Web Inspector: console.table with source code location look poor
Summary: Web Inspector: console.table with source code location look poor
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nikita Vasilyev
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-02-26 18:21 PST by Joseph Pecoraro
Modified: 2015-03-25 09:50 PDT (History)
10 users (show)

See Also:


Attachments
[IMAGE] Issue (138.45 KB, image/png)
2015-02-26 18:21 PST, Joseph Pecoraro
no flags Details
Patch (2.26 KB, patch)
2015-03-24 18:43 PDT, Nikita Vasilyev
timothy: review+
Details | Formatted Diff | Diff
Screenshot with the patch applied (44.29 KB, image/png)
2015-03-24 18:44 PDT, Nikita Vasilyev
no flags Details
Patch (2.12 KB, patch)
2015-03-24 19:37 PDT, Nikita Vasilyev
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-mavericks (589.66 KB, application/zip)
2015-03-24 20:50 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Pecoraro 2015-02-26 18:21:25 PST
Created attachment 247480 [details]
[IMAGE] Issue

* SUMMARY
console.table with source code location look poor. See attached screenshot.

* STEPS TO REPRODUCE
1. Inspect http://www.clicktorelease.com/tools/augmented-console/
2. Click the logs on the page which trigger console.tables
  => table in inspector console looks poor
Comment 1 Radar WebKit Bug Importer 2015-02-26 18:22:08 PST
<rdar://problem/19980148>
Comment 2 Nikita Vasilyev 2015-03-24 18:43:39 PDT
Created attachment 249373 [details]
Patch
Comment 3 Nikita Vasilyev 2015-03-24 18:44:43 PDT
Created attachment 249374 [details]
Screenshot with the patch applied
Comment 4 Timothy Hatcher 2015-03-24 18:48:56 PDT
Comment on attachment 249373 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=249373&action=review

> Source/WebInspectorUI/UserInterface/Views/LogContentView.css:316
> +.console-data-grid {
> +    clear: both;
> +}

Can't we just do .console-group-messages .data-grid { }? No need for another class name.
Comment 5 Nikita Vasilyev 2015-03-24 19:37:46 PDT
Created attachment 249379 [details]
Patch
Comment 6 WebKit Commit Bot 2015-03-24 19:38:14 PDT
Comment on attachment 249379 [details]
Patch

Rejecting attachment 249379 [details] from review queue.

nvasilyev@apple.com does not have reviewer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/contributors.json.

- If you do not have reviewer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have reviewer rights please correct the error in Tools/Scripts/webkitpy/common/config/contributors.json by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your reviewer rights.
Comment 7 Build Bot 2015-03-24 20:49:58 PDT
Comment on attachment 249379 [details]
Patch

Attachment 249379 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/4828715959713792

New failing tests:
fast/regions/auto-size/autoheight-two-pass-layout-complex-002.html
Comment 8 Build Bot 2015-03-24 20:50:02 PDT
Created attachment 249383 [details]
Archive of layout-test-results from ews102 for mac-mavericks

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-mavericks  Platform: Mac OS X 10.9.5
Comment 9 WebKit Commit Bot 2015-03-25 09:50:39 PDT
Comment on attachment 249379 [details]
Patch

Clearing flags on attachment: 249379

Committed r181961: <http://trac.webkit.org/changeset/181961>
Comment 10 WebKit Commit Bot 2015-03-25 09:50:46 PDT
All reviewed patches have been landed.  Closing bug.